Package org.opensaml.saml.saml1.core.impl

# Class RequestAbstractTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml1.core.impl.RequestAbstractTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `RequestAbstractType`, `SignableXMLObject`

Direct Known Subclasses:
  `RequestImpl`

public abstract class RequestAbstractTypeImpl extends AbstractSignableSAMLObject implements RequestAbstractType
Implementation of `RequestAbstractType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`id`
Contains the ID.
`private Instant`
`issueInstant`
Contains the IssueInstant.
`private final XMLObjectChildrenList<RespondWith>`
`respondWiths`
Contains the respondWiths.
`private SAMLVersion`
`version`
Version of this SAML message.

### Fields inherited from interface org.opensaml.saml.saml1.core.RequestAbstractType

`ID_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_QNAME, MAJORVERSION_ATTRIB_NAME, MINORVERSION_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestAbstractTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
Get the ID.
`Instant`
`getIssueInstant()`
Get the issue instant.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<RespondWith>`
`getRespondWiths()`
Return the list of RespondWith elements.
`String`
`getSignatureReferenceID()`
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.
`SAMLVersion`
`getVersion()`
Gets the SAML version of this message.
`void`
`setID(String newID)`
Set the ID.
`void`
`setIssueInstant(Instant instant)`
Set the issue instant.
`void`
`setVersion(SAMLVersion newVersion)`
Sets the SAML version of this message.

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### id

@Nullable private String id
Contains the ID.

### issueInstant

@Nullable private Instant issueInstant
Contains the IssueInstant.

### version

@Nullable private SAMLVersion version
Version of this SAML message.

### respondWiths

@Nonnull private final XMLObjectChildrenList<RespondWith> respondWiths
Contains the respondWiths.

## Constructor Details

### RequestAbstractTypeImpl

protected RequestAbstractTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getID

@Nullable public String getID()
Get the ID.

Specified by:
  `getID` in interface `RequestAbstractType`
Returns:
  the ID

### setID

public void setID(@Nullable String newID)
Set the ID.

Specified by:
  `setID` in interface `RequestAbstractType`
Parameters:
  `newID` - what to set

### getVersion

@Nullable public SAMLVersion getVersion()
Gets the SAML version of this message.

Specified by:
  `getVersion` in interface `RequestAbstractType`
Returns:
  the SAML version of this message

### setVersion

public void setVersion(@Nullable SAMLVersion newVersion)
Sets the SAML version of this message.

Specified by:
  `setVersion` in interface `RequestAbstractType`
Parameters:
  `newVersion` - SAML version of this message

### getIssueInstant

@Nullable public Instant getIssueInstant()
Get the issue instant.

Specified by:
  `getIssueInstant` in interface `RequestAbstractType`
Returns:
  the issue instant

### setIssueInstant

public void setIssueInstant(@Nullable Instant instant)
Set the issue instant.

Specified by:
  `setIssueInstant` in interface `RequestAbstractType`
Parameters:
  `instant` - what to set

### getRespondWiths

@Nonnull @Live public List<RespondWith> getRespondWiths()
Return the list of RespondWith elements.

Specified by:
  `getRespondWiths` in interface `RequestAbstractType`
Returns:
  the list of RespondWith elements

### getSignatureReferenceID

@Nullable public String getSignatureReferenceID()
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.

Specified by:
  `getSignatureReferenceID` in interface `SignableSAMLObject`
Returns:
  the value of this SAMLObject ID attribute

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements